Bug 1033908 - Test case failure: Multihead - Large Desktop on Radeon HD 7850 [1002:6819]
Summary: Test case failure: Multihead - Large Desktop on Radeon HD 7850 [1002:6819]
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 7.1
Assignee: Jérôme Glisse
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
: 1076770 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 09:48 UTC by Vasiliy Sharapov
Modified: 2015-11-19 20:00 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 20:00:33 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2152 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-11-20 00:56:02 UTC

Description Vasiliy Sharapov 2013-11-24 09:48:44 UTC
Filed from caserun https://tcms.engineering.redhat.com/run/99313/#caserun_3816187

Version-Release number of selected component (if applicable):
Build : RHEL-7.0-20131111.1
xorg-x11-server-Xorg-1.14.99.901-5.20131101.el7.x86_64
xorg-x11-drv-ati-7.2.0-6.20131023gitf1dc677.el7.x86_64
kernel-3.10.0-48.el7.x86_64


Steps to Reproduce: 
 1. obtain a card that is capable to connect 4 screens and 4 monitors
 2. plug everything together and start GNOME


 1. go into Control Center -> Display
 2. Create 4x1 setup with all displays set to the same resolution
 3. Create 2x2 setup
 4. Create 1x4 setup with all displays set to different resolution



Actual results: 
Hotplugging monitors results in hang. Booting with four already plugged is more interesting. They appear to be set to 800x600 or or maybe even smaller and are all mirroring the top left corner of a large desktop (probably the full resolution of the first monitor). Definitely something new.
Oh, and you can use the desktop tool to rearrange them as the case describes, but then three monitors go to sleep and one now displays a small res desktop surrounded by a thick black border. I'm really curious how it ends up going down _that_ codepath.

Expected results:
you should be able to move cursor from one screen to another flawlessly in all
setups.

In different resolution setup there should be borders where you cannot pass to
another screen accordingly

Comment 2 Jérôme Glisse 2013-12-10 21:37:45 UTC
You need linux-firmware >= 20131106-0.1.git7d0c7a8

Comment 3 Jérôme Glisse 2014-02-20 20:49:36 UTC
This need to be retested but here i can not reproduce with :

linux-firmware-20140102-0.2.git52d77db.el7.noarch
kernel-3.10.0-89
mesa-dri-drivers-9.2.5
xorg-x11-drv-ati-7.2.0-8.20140113git3213df1
xorg-x11-glamor-0.5.1-4.20140115gitfb4d046c

Comment 4 Jérôme Glisse 2014-03-07 15:26:57 UTC
We believe this is already fixed but moving to 7.1

Comment 5 Vasiliy Sharapov 2014-03-15 01:45:31 UTC
This is fixed in Build : RHEL-7.0-20140214.0

However a different bug is now present: https://bugzilla.redhat.com/show_bug.cgi?id=1076774

Comment 7 Jérôme Glisse 2014-07-17 15:02:35 UTC
This should already work in 7.0 but reassigning to kernel as if it is an issue than it is a kernel issue.

Comment 10 Jérôme Glisse 2015-06-16 15:44:48 UTC
*** Bug 1076770 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2015-11-19 20:00:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2152.html


Note You need to log in before you can comment on or make changes to this bug.